libnvme(2)

NAME
struct nbft_header - NBFT Table - Header (Figure 8)

SYNOPSIS
struct nbft_header {
char signature[4];
__le32 length;
__u8 major_revision;
__u8 checksum;
char oem_id[6];
char oem_table_id[8];
__le32 oem_revision;
__le32 creator_id;
__le32 creator_revision;
__le32 heap_offset;
__le32 heap_length;
struct nbft_heap_obj driver_dev_path_sig;
__u8 minor_revision;
__u8 reserved[13];
};

Members

signature
    Signature: An ASCII string representation of the table identifier. This field shall be set to the value 4E424654h (i.e. "NBFT", see #NBFT_HEADER_SIG).

length
    Length: The length of the table, in bytes, including the header, starting from offset 0h. This field is used to record the size of the entire table.

major_revision
    Major Revision: The major revision of the structure corresponding to the Signature field. Larger major revision numbers should not be assumed backward compatible to lower major revision numbers with the same signature.

checksum
    Checksum: The entire table, including the Checksum field, shall sum to 0h to be considered valid.

oem_id
    OEMID shall be populated by the NBFT driver writer by an OEM-supplied string that identifies the OEM. All trailing bytes shall be NULL.

oem_table_id
    OEM Table ID: This field shall be populated by the NBFT driver writer with an OEM-supplied string that the OEM uses to identify the particular data table. This field is particularly useful when defining a definition block to distinguish definition block functions. The OEM assigns each dissimilar table a new OEM Table ID.

oem_revision
    OEM Revision: An OEM-supplied revision number. Larger numbers are assumed to be newer revisions.

creator_id
    Creator ID: Vendor ID of utility that created the table. For instance, this may be the ID for the ASL Compiler.

creator_revision
    Creator Revision: Revision of utility that created the table. For instance, this may be the ID for the ASL Compiler.

heap_offset
    Heap Offset (HO): This field indicates the offset in bytes of the heap, if any, from byte offset 0h of the NBFT Table Header.

heap_length
    Heap Length (HL): The length of the heap, if any.

driver_dev_path_sig
    Driver Signature Heap Object Reference: This field indicates the offset in bytes of a heap object containing the Driver Signature, if any, from byte offset 0h of the NBFT Table Header.

minor_revision
    Minor Revision: The minor revision of the structure corresponding to the Signature field. If the major revision numbers are the same, any minor revision number differences shall be backwards compatible with the same signature.

reserved
    Reserved.